strscanner Struct Reference

## Data Fields

unsigned long | flags
VALUE | str
long | prev
long | curr
struct re_registers | regs

## Detailed Description

Definition at line 24 of file strscan.c.

## Field Documentation

long strscanner::curr

Definition at line 35 of file strscan.c.

Referenced by adjust_registers_to_matched(), inspect1(), inspect2(), strscan_bol_p(), strscan_do_scan(), strscan_get_byte(), strscan_get_pos(), strscan_getch(), strscan_init_copy(), strscan_inspect(), strscan_peek(), strscan_reset(), strscan_rest(), strscan_rest_size(), strscan_set_pos(), strscan_set_string(), strscan_terminate(), and strscan_unscan().

unsigned long strscanner::flags

Definition at line 27 of file strscan.c.

Referenced by strscan_init_copy().

long strscanner::prev

Definition at line 34 of file strscan.c.

Referenced by adjust_registers_to_matched(), strscan_aref(), strscan_do_scan(), strscan_get_byte(), strscan_getch(), strscan_init_copy(), strscan_matched(), strscan_post_match(), strscan_pre_match(), and strscan_unscan().

struct re_registers strscanner::regs

Definition at line 38 of file strscan.c.

Referenced by adjust_registers_to_matched(), strscan_aref(), strscan_do_scan(), strscan_free(), strscan_get_byte(), strscan_getch(), strscan_init_copy(), strscan_matched(), strscan_matched_size(), strscan_post_match(), strscan_pre_match(), and strscan_s_allocate().

VALUE strscanner::str

Definition at line 31 of file strscan.c.

Referenced by get_inline(), infect(), str_new(), strscan_concat(), strscan_do_scan(), strscan_get_string(), strscan_getch(), strscan_init_copy(), strscan_initialize(), strscan_inspect(), strscan_mark(), strscan_s_allocate(), strscan_set_string(), and sycklex_bytecode_utf8().

The documentation for this struct was generated from the following file:

- ext/strscan/strscan.c